---
title: "Retrieve HR Employee Positions by Code"
slug: "retrieve-hr-employee-positions-by-code"
updated: 2026-05-26T12:53:14Z
published: 2026-05-26T12:53:48Z
canonical: "developers.cmicglobal.com/retrieve-hr-employee-positions-by-code"
---

> ## Documentation Index
> Fetch the complete documentation index at: https://developers.cmicglobal.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve HR Employee Positions by Code

Get/hcm-rest-api/rest/1/hrpositions

## Query Standards

### Finder

Following row finders are available for data filtering and optimizing request performance.

- Select By Name And Status
- Hr Positions Finder
- By UUID

#### Select By Name And Status

Recommended finder parameters. Refer to Query Parameters for example.

| Parameter | Description | Sample |
| --- | --- | --- |
| PositionName | Position Name | Payroll Manager |
| StatusCode | Status Code | H |

#### Hr Positions Finder

This is an optional finder for querying Employee Positions by Position Code and Employee Number.

| Parameter | Description | Sample |
| --- | --- | --- |
| HrpPositionCodeVar | Position Code | 001 |
| HrpEmpNoVar | Employee Number | 0520 |

#### By UUID

This is an optional finder for querying a specific Employee Position by row ID.

| Parameter | Description | Sample |
| --- | --- | --- |
| /VUUID | The VUuid attribute is the Unique row ID | /hcm-rest-api/rest/1/hrpositions/EB2F34CAFDFD5671E05316821FAC3E12 |

SecurityHTTPType basic

Basic authentication

Query parametersfinderstringExampleselectByNameAndStatus;PositionName=Payroll Manager,StatusCode=H
limitintegerExample500
offsetintegerExample0
totalResultsbooleanExampletrue
orderBystringExampleHrpVUuid:desc

Responses200

OK

HeadersContent-TypestringExampleapplication/vnd.oracle.adf.resourcecollection+json
<select class='api-response-data' aria-label='Media type'><option value='d91568a7-7289-4006-8744-f5a96a64ea8b'>application/json</option>
</select><select class='select-example' aria-label='Media type'><option value='22c27197-fd69-458e-9c2d-12578d2be317'>example-0</option>
<option value='e262120f-4f40-4d98-a1bb-c545bec1d813'>example-1</option>
</select>example-0

Successful Response - Finder - selectByNameAndStatus

```json
{
  "items": [
    {
      "HrpPositionCode": "001",
      "HrpPositionName": "Payroll Manager",
      "HrpTrdCode": "0095",
      "HrpEffectiveDate": null,
      "HrpExpiryDate": null,
      "HrpEmpNo": null,
      "HrpJobTitle": null,
      "HrpReportTo": null,
      "HrpResp": null,
      "HrpSalary": null,
      "HrpStatusCode": "H",
      "HrpRegCode": null,
      "HrpJobSummary": "Process payroll efficiently and accurately.",
      "HrpVUuid": "EB2F34CAFDFD5671E05316821FAC3E12",
      "links": [
        {
          "rel": "self",
          "href": "http://mobtest.cmiccloudr12.com:80/cmictestrti/hcm-rest-api/rest/1/hrpositions/EB2F34CAFDFD5671E05316821FAC3E12",
          "name": "hrpositions",
          "kind": "item"
        },
        {
          "rel": "canonical",
          "href": "http://mobtest.cmiccloudr12.com:80/cmictestrti/hcm-rest-api/rest/1/hrpositions/EB2F34CAFDFD5671E05316821FAC3E12",
          "name": "hrpositions",
          "kind": "item"
        }
      ]
    }
  ],
  "count": 1,
  "hasMore": false,
  "limit": 25,
  "offset": 0,
  "links": [
    {
      "rel": "self",
      "href": "http://mobtest.cmiccloudr12.com:80/cmictestrti/hcm-rest-api/rest/1/hrpositions",
      "name": "hrpositions",
      "kind": "collection"
    }
  ]
}
```

example-1

Successful Response - Finder - hrpositionfinder

```json
{
  "items": [
    {
      "HrpPositionCode": "001",
      "HrpPositionName": "Payroll Manager",
      "HrpTrdCode": "0095",
      "HrpEffectiveDate": null,
      "HrpExpiryDate": null,
      "HrpEmpNo": null,
      "HrpJobTitle": null,
      "HrpReportTo": null,
      "HrpResp": null,
      "HrpSalary": 40000,
      "HrpStatusCode": "H",
      "HrpRegCode": null,
      "HrpJobSummary": "Process payroll efficiently and accurately.",
      "HrpVUuid": "EB2F34CAFDFD5671E05316821FAC3E12",
      "links": [
        {
          "rel": "self",
          "href": "http://mobtest.cmiccloudr12.com:80/cmictestrti/hcm-rest-api/rest/1/hrpositions/EB2F34CAFDFD5671E05316821FAC3E12",
          "name": "hrpositions",
          "kind": "item"
        },
        {
          "rel": "canonical",
          "href": "http://mobtest.cmiccloudr12.com:80/cmictestrti/hcm-rest-api/rest/1/hrpositions/EB2F34CAFDFD5671E05316821FAC3E12",
          "name": "hrpositions",
          "kind": "item"
        }
      ]
    }
  ],
  "count": 1,
  "hasMore": false,
  "limit": 25,
  "offset": 0,
  "links": [
    {
      "rel": "self",
      "href": "http://mobtest.cmiccloudr12.com:80/cmictestrti/hcm-rest-api/rest/1/hrpositions",
      "name": "hrpositions",
      "kind": "collection"
    }
  ]
}
```

object
